# List shadow links

**GET /v1/shadow-links**

List Redpanda shadow links.


## Servers
- Control Plane API: https://api.redpanda.com (Control Plane API)


## Authentication methods
- Auth0


## Parameters


### Query parameters
- **filter.shadow_redpanda_id** (string)
  Filter by shadow Redpanda cluster ID.
- **filter.resource_group_id** (string)
  Filter by resource group ID.
- **page_size** (integer(int32))
  Maximum number of results per page.
- **page_token** (string)
  Page token from previous response for pagination.


## Responses
### 200
OK

#### Body: application/json (object)
- **next_page_token** (string)
  Token for fetching the next page of results.
- **shadow_links** (array[object])
  List of shadow links matching the filter.

### 500
Internal Server Error. Please reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### default
An unexpected error response.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


[Powered by Bump.sh](https://bump.sh)
